Subject: Re: co-authoring commits

From: [email-masked]
Date: Wed, 17 Jun 2015 13:59:31 -0700

On Wed, Jun 17, 2015 at 10:26:32PM +0200, Tuncer Ayaz wrote:
> On Wed, Jun 17, 2015 at 9:58 PM, Junio C Hamano wrote:
> > Tuncer Ayaz <[email-masked]> writes:
> >
> > > Is this something that breaks the design and would never be
> > > implemented,
> >
> > Yes.
> 
> Junio, thanks for the quick response.
> 
> I suppose things have changed since Jonathan Nieder's response in [1]
> (2010), or I've read too much into the mini-thread between Jonathan
> and Josh. I was under the impression that this is generally possible
> without shaking up all underpinnings.
> 
> For what it's worth, here's why I would use the feature:
> 
> By allowing multiple authors, you don't have to decide who's the
> primary author, as in such situations usually there is no primary at
> all. I sometimes deliberately override the author when committing and
> add myself just as another co-author in the commit message, but as
> others have noted it would be really great if we can just specify
> multiple authors.

Having more than one author field in a commit would likely break things,
but having a coauthor field seems plausible these days.  Git added
support for signed commits, and the world didn't end, so it's possible
to extend the commit format.

- Josh Triplett